import React from "react";
import {useTheme} from "@mui/material/styles";
import {Box} from "@mui/material";

const MailUnverified = ({...other}) => {
    const theme = useTheme();
    const PRIMARY_LIGHT = theme.palette.grey[500];
    const PRIMARY_MAIN = theme.palette.grey[700];

    return (
        <Box {...other}>
            <svg
                xmlns="http://www.w3.org/2000/svg"
                viewBox="0 0 327 240"
                width="100%"
                height="100%">
                <linearGradient
                    id="prefix__a"
                    gradientUnits="userSpaceOnUse"
                    gradientTransform="matrix(327 0 0 -240.0001 46292 123805.055)"
                    x1={-141.324}
                    y1={515.094}
                    x2={-140.744}
                    y2={515.622}>
                    <stop offset={0} stopColor="#919eab" />
                    <stop offset={1} stopColor="#919eab" stopOpacity={0} />
                </linearGradient>
                <path
                    fill="#7A8E9B"
                    d="M163.4 60.6l-78 58.4 78 58.4 77.8-58.4z"
                />
                <path
                    fill={PRIMARY_MAIN}
                    d="M163.4 177.4l-78-58.4v78.3h155.8V119z"
                />
                <path fill={PRIMARY_LIGHT} d="M85.4 197.3h155.8l-77.8-58.5z" />
                <path
                    fill="#C6C6C6"
                    d="M241.2 48.7v52.8c0 4-3.3 7.3-7.3 7.3h-72.1L137.6 126v-17.2h-11.1c-4.1 0-7.3-3.3-7.3-7.3V48.7c0-4.1 3.3-7.3 7.3-7.3H234c4 0 7.2 3.2 7.2 7.3z"
                />
                <g>
                    <path
                        fill="#525C6B"
                        d="M202.1 55.6H224v4.9h-21.9zM136.4 55.6h51.1v4.9h-51.1zM170.5 72.7H224v4.8h-53.5zM136.4 72.7h19.5v4.8h-19.5zM136.4 89.7h68.1v4.8h-68.1z"
                    />
                </g>
                <path
                    opacity={0.2}
                    fillRule="evenodd"
                    clipRule="evenodd"
                    fill="url(#prefix__a)"
                    d="M0 132.5c0 27.6 10.2 52.8 26.9 71.9C46.2 226.2 74 240 105.1 240c13.6 0 26.6-2.6 38.5-7.4 6.2-2.5 13.1-2.2 19 .7 7 3.4 14.8 5.3 23.1 5.3 3.4 0 6.8-.3 10-1 9.3-1.8 17.7-6 24.6-12 4.3-3.8 9.9-5.6 15.6-5.6h.1c18.8 0 36.3-5.8 50.7-15.8 13-8.9 23.5-21.1 30.6-35.5 6.1-12.5 9.6-26.6 9.6-41.6 0-51.3-40.7-92.9-90.9-92.9-5.1 0-10.1.4-15 1.3C208.1 14.3 184.9 0 158.4 0c-11.2 0-21.8 2.5-31.3 7.1-9 4.3-17 10.5-23.6 18-22.3.4-42.9 7.8-59.7 20.2C17.3 64.8 0 96.6 0 132.5z"
                />
                <g>
                    <path
                        opacity={0.545}
                        fill="#C4CDD5"
                        d="M190.6 29.1c-2.2 0-4.4-.8-6-2.5-3.3-3.3-3.3-8.7 0-12.1 3.3-3.3 8.7-3.3 12.1 0 3.3 3.3 3.3 8.7 0 12.1-1.7 1.6-3.9 2.5-6.1 2.5zm0-11.2c-.7 0-1.4.3-1.9.8-1 1-1 2.7 0 3.7s2.7 1 3.7 0 1-2.7 0-3.7c-.4-.6-1.1-.8-1.8-.8zM123.6 228.2c-2.2 0-4.4-.8-6-2.5-3.3-3.3-3.3-8.7 0-12.1 3.3-3.3 8.7-3.3 12.1 0 3.3 3.3 3.3 8.7 0 12.1-1.8 1.7-4 2.5-6.1 2.5zm0-11.2c-.7 0-1.4.3-1.9.8-1 1-1 2.7 0 3.7s2.7 1 3.7 0 1-2.7 0-3.7c-.5-.5-1.2-.8-1.8-.8z"
                    />
                    <path
                        fill="#DFE3E8"
                        d="M272.7 188c-.8 0-1.5-.3-2.1-.9l-3.5-3.5-3.5 3.5c-1.1 1.1-3 1.1-4.2 0-1.1-1.1-1.1-3 0-4.2l5.6-5.6c1.1-1.1 3-1.1 4.2 0l5.6 5.6c1.1 1.1 1.1 3 0 4.2-.6.6-1.4.9-2.1.9z"
                    />
                    <path
                        fill="#D5DBE0"
                        d="M65.2 176.8c-.8 0-1.5-.3-2.1-.9l-3.5-3.5-3.5 3.6c-1.1 1.1-3 1.1-4.2 0-1.1-1.1-1.1-3 0-4.2l5.6-5.6c1.1-1.1 3-1.1 4.2 0l5.6 5.6c1.1 1.1 1.1 3 0 4.2-.6.5-1.3.8-2.1.8z"
                    />
                </g>
            </svg>
        </Box>
    );
};

export default MailUnverified;
